%{?nodejs_find_provides_and_requires}

%global barename window-size

Name:                nodejs-window-size
Version:             0.1.0
Release:             1
Summary:             Get the height and width of the terminal in a node.js environment

License:             MIT
URL:                 https://www.npmjs.org/package/window-size
Source0:             http://registry.npmjs.org/window-size/-/window-size-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch

BuildRequires:       nodejs-packaging >= 6

%description
Reliable way to to get the height and width of the terminal/console in a
node.js environment.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/window-size
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/window-size

%nodejs_symlink_deps

%files
%license LICENSE-MIT
%doc README.md
%{nodejs_sitelib}/window-size/

%changelog
* Tue Aug 11 2020 wangxiao <wangxiao65@huawei.com> - 0.1.0-1
- package init
